// 気圧センサー BMP280デモ

#include <Wire.h>
#include "BMP280.h"
#include "DISPGraph.h"

#define BAUDRATE 9600
#define SWITCHPIN 5

BMP280 bmp280 ;
DISPGraph dispGraph ;

bool graphMode = false;
char str[120] ;

void setup() {
  pinMode(SWITCHPIN, INPUT);

  Serial.begin(BAUDRATE);
  Wire.begin();

  Serial.println("START");

  if (!bmp280.init( )) {
     Serial.println("Device Error"); // チェックする必要はない気がする、間違う奴はおらんやろう
  }
  dispGraph.init() ;
}

void loop() {
  if (digitalRead(SWITCHPIN)) {
    graphMode = !graphMode ;
    dispGraph.cls( ) ;
  }
  
  int32_t tmp = bmp280.readBMP32Tmp() ;
  int tn=tmp/100 ;
  int td=tmp%100 ;
  int32_t pre = bmp280.readBMP32Pre() ;
  dispGraph.addGraphData(tmp,pre) ;

  if (graphMode) {
    // --- Graph表示
    dispGraph.dispGraphData();
  } else {    
    // --- 7セグメントLEDっぽい表示 ---
    dispGraph.disp7segLED(tmp,pre) ;
  }
  delay(3000) ;
}
