/*
 * SSD1306/SSD1315に温湿度計を表示
 * 
 */
#ifndef DISPGraph_H
#define DISPGraph_H
#include "DISP7SEG.h"

class DISPGraph
{
  private:
    DISP7SEG disp7seg ;

    // ----- グラフ表示用 -----
    int graphDataNum ;
    struct graphData_s {
      int temperature; // 温度 単位 1/00℃
      int presser;     // 気圧 単位 Pa
    } graphData[100] ;
  
  public:
    void init() ;
    void cls() { disp7seg.cls( ) ; }
    void addGraphData(int32_t temperature , int32_t presser ); // グラフデータセット
    void dispGraphData(); // グラフ表示
    void disp7segLED(int32_t temperature , int32_t presser); // ７セグっぽい表示
    int getGraphDataNum() { return graphDataNum ; }

  protected:
    void initGraphData(); // グラフData初期化
} ;
#endif
